# Copyright (C) 2007-2010 Timesys Corporation
# Thunar rules

# Define common macros for Thunar from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,Thunar))

Thunar_OPTIONAL_DEPS=dbus-glib gconf startup-notification
Thunar_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(Thunar_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
Thunar-patch: $(Thunar_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/Thunar-$(Thunar_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin{thunar,Thunar,thunar-settings}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_Thunar))
SOFTWARE+=Thunar
endif


# vim:set noexpandtab filetype=make: 
