# Copyright (C) 2007-2010 Timesys Corporation
# efreet rules

# Define common macros for efreet from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,efreet))


$(BUILD_DIR)/efreet-$(efreet_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{efreet_alloc,efreet_cache_test,efreet_menu_alloc,efreet_spec_test,efreet_test}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_efreet))
SOFTWARE+=efreet
endif


# vim:set noexpandtab filetype=make: 
