# Copyright (C) 2007-2010 Timesys Corporation
# elementary rules

# Define common macros for elementary from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,elementary))


ifeq (y, $(strip $(TSWO_LIBC_UCLIBC)))
elementary_CONFIGURE_OPTIONS+=LIBS=-liconv
endif

elementary-patch: edje-host-build

elementary_BUILD_OPTIONS+=PATH=$(EINA_HOST_INSTALL_DIR)/bin:$(EET_HOST_INSTALL_DIR)/bin:$(EVAS_HOST_INSTALL_DIR)/bin:$(EMBRYO_HOST_INSTALL_DIR)/bin:$(BUILD_PATH)

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_elementary))
SOFTWARE+=elementary
endif


# vim:set noexpandtab filetype=make: 
