# Copyright (C) 2007-2010 Timesys Corporation
# exo rules

# Define common macros for exo from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,exo))

$(BUILD_DIR)/exo-$(exo_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{exo-eject,exo-preferred-applications,exo-unmount,exo-mount,exo-open,exo-desktop-item-edit,exo-csource}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_exo))
SOFTWARE+=exo
endif


# vim:set noexpandtab filetype=make: 
