# Copyright (C) 2007-2010 Timesys Corporation
# gnome-desktop rules

# Define common macros for gnome-desktop from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-desktop))

$(BUILD_DIR)/gnome-desktop-$(gnome-desktop_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/gnome-about
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-desktop))
SOFTWARE+=gnome-desktop
endif


# vim:set noexpandtab filetype=make: 
