# Copyright (C) 2007-2010 Timesys Corporation
# gnome-mime-data rules

# Define common macros for gnome-mime-data from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-mime-data))

# newer (2.18.0+) want to put the pkgconfig files in /usr/share
# this may be ok in the future but for now we just relocate to prefix/lib
$(BUILD_DIR)/gnome-mime-data-$(gnome-mime-data_VERSION)/.stamp_pre_built:
	cd $(gnome-mime-data_DDIR) && \
		$(SED) -i -re "s,(pkgconfigdir = \\$$\()datadir(\)/pkgconfig),\1libdir\2," Makefile*
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-mime-data))
SOFTWARE+=gnome-mime-data
endif


# vim:set noexpandtab filetype=make: 
