# Copyright (C) 2007-2010 Timesys Corporation
# gnome-terminal rules

# Define common macros for gnome-terminal from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gnome-terminal))

gnome-terminal_OPTIONAL_DEPS=gnome-vfs libgnomeui
gnome-terminal_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gnome-terminal_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gnome-terminal-patch: $(gnome-terminal_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/gnome-terminal-$(gnome-terminal_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gnome-terminal))
SOFTWARE+=gnome-terminal
endif


# vim:set noexpandtab filetype=make: 
