# Copyright (C) 2007-2010 Timesys Corporation
# gpe-go rules


$(eval $(call COMMON_SETUP,gpe-go))

$(BUILD_DIR)/gpe-go-$(gpe-go_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-go-$(gpe-go_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-go $(gpe-go_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-go_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-go_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-go_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-go-$(gpe-go_VERSION)/.stamp_packaged:
	cd $(gpe-go_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-go_MAKE_CMD) DESTDIR=$(gpe-go_PKG_INSTALL_DIR) install \
        $(gpe-go_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-go))
SOFTWARE+=gpe-go
endif


# vim:set noexpandtab filetype=make: 
