# Copyright (C) 2007-2010 Timesys Corporation
# gpe-watch rules


$(eval $(call COMMON_SETUP,gpe-watch))

$(BUILD_DIR)/gpe-watch-$(gpe-watch_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-watch-$(gpe-watch_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-watch $(gpe-watch_VERSION))
	cd $(gpe-watch_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-watch_MAKE_CMD) \
        $(gpe-watch_BUILD_OPTIONS)
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-watch))
SOFTWARE+=gpe-watch
endif


# vim:set noexpandtab filetype=make: 
