# Copyright (C) 2007-2010 Timesys Corporation
# hildon-thumbnail rules

# Define common macros for hildon-thumbnail from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hildon-thumbnail))


$(BUILD_DIR)/hildon-thumbnail-$(hildon-thumbnail_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{hildon-thumb-gdk-pixbuf,hildon-thumbnail-tester,osso-thumb-gdk-pixbuf,hildon-thumber-register,osso-thumber-register}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_hildon-thumbnail))
SOFTWARE+=hildon-thumbnail
endif


# vim:set noexpandtab filetype=make: 
