# Copyright (C) 2007-2010 Timesys Corporation
# libhildon rules

# Define common macros for libhildon from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libhildon))


$(BUILD_DIR)/libhildon-$(libhildon_VERSION)/.stamp_pre_configured:
	cd $(libhildon_DDIR) && \
		NOCONFIGURE=1 ./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libhildon))
SOFTWARE+=libhildon
endif


# vim:set noexpandtab filetype=make: 
