# Copyright (C) 2007-2010 Timesys Corporation
# libwnck rules


# Define common macros for libwnck from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libwnck))

ifeq (y,$(TSWO_SOFTWARE_libX11))
libwnck-patch: libX11-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_libXext))
libwnck-patch: libXext-host-install
endif

$(BUILD_DIR)/hal-$(hal_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{wnck-urgency-monitor,wnckprop}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libwnck))
SOFTWARE+=libwnck
endif


# vim:set noexpandtab filetype=make: 
