# Copyright (C) 2007-2010 Timesys Corporation
# xfce4-settings rules

# Define common macros for xfce4-settings from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfce4-settings))

xfce4-settings_OPTIONAL_DEPS=xrandr libnotify libXcursor libxklavier libxsettings libcanberra
xfce4-settings_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(libsndfile_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
xfce4-settings-patch: $(libsndfile_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/xfce4-settings-$(xfce4-settings_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfce4-settings))
SOFTWARE+=xfce4-settings
endif


# vim:set noexpandtab filetype=make: 
