# Copyright (C) 2007-2010 Timesys Corporation
# cppunit rules

# Define common macros for cppunit from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,cppunit))


$(BUILD_DIR)/cppunit-$(cppunit_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/DllPlugInTester
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_cppunit))
SOFTWARE+=cppunit
endif


# vim:set noexpandtab filetype=make: 
