# Copyright (C) 2007-2010 Timesys Corporation
# ccss rules

# Define common macros for ccss from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ccss))

$(BUILD_DIR)/ccss-$(ccss_VERSION)/.stamp_pre_configured:
	cd $(ccss_DDIR) && \
		chmod +x configure
	@touch $@

$(BUILD_DIR)/ccss-$(ccss_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/ccss-stylesheet-to-gtkrc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ccss))
SOFTWARE+=ccss
endif


# vim:set noexpandtab filetype=make: 
