# Copyright (C) 2007-2010 Timesys Corporation
# droid-fonts rules

# Define common macros for droid-fonts from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,droid-fonts))


$(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_configured:
	@touch $@
$(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_built:
	@touch $@
$(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_packaged: DESTDIR=$(droid-fonts_PKG_INSTALL_DIR)
$(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/droid-fonts-$(droid-fonts_VERSION)/.stamp_packaged:
	mkdir -p $(DESTDIR)/usr/share/fonts/truetype/
	cd $(droid-fonts_DDIR) && \
		cp -f *.ttf $(DESTDIR)/usr/share/fonts/truetype/
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_droid-fonts))
SOFTWARE+=droid-fonts
endif


# vim:set noexpandtab filetype=make: 
