# Copyright (C) 2007-2010 Timesys Corporation
# giflib rules

$(eval $(call COMMON_SETUP,giflib))

giflib_OPTIONAL_DEPS=Mesa libX11 libICE libSM
giflib_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(giflib_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
giflib-patch: $(giflib_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/giflib-$(giflib_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{gifburst,gif2ps,gifinto,gifcompose,gifovly,giffiltr,gif2rgb,gifpos,gifcomb,gifflip,gifhisto,gifclrmp,gifrotat,gifbg,gif2epsn,gifinfo,gifasm,giffix,gifclip,gifinter,gifspnge,giftext,gifcolor,gifrsize,gifwedge,icon2gif,raw2gif,rgb2gif,text2gif,gif2x11}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_giflib))
SOFTWARE+=giflib
endif


# vim:set noexpandtab filetype=make: 
