# Copyright (C) 2007-2010 Timesys Corporation
# gtk rules

ifeq (y,$(TSWO_SOFTWARE_gtk-fb))
TSWO_gtk_CONFIGURE_OPTIONS=$(TSWO_gtk-fb_CONFIGURE_OPTIONS)
TSWO_gtk_RUNTIME_DEPENDS=$(TSWO_gtk-fb_RUNTIME_DEPENDS)
TSWO_gtk_DEPENDS=$(TSWO_gtk-fb_DEPENDS)
endif
$(eval $(call COMMON_SETUP,gtk))

gtk_OPTIONAL_DEPS=libexif
gtk_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gtk_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gtk-patch: $(gtk_OPTIONAL_DEPS_TARGETS)


$(BUILD_DIR)/gtk-$(gtk_VERSION)/.stamp_pre_configured:
	@cd $(gtk_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/gtk-$(gtk_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{gdk,gtk}-{pixbuf-csource,pixbuf-query-loaders,demo,query-immodules-2.0,update-icon-cache}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_gtk))
SOFTWARE+=gtk
endif


# vim:set noexpandtab filetype=make: 
