# Copyright (C) 2007-2010 Timesys Corporation
# gtkmm rules

# Define common macros for gtkmm from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gtkmm))


$(BUILD_DIR)/gtkmm-$(gtkmm_VERSION)/.stamp_pre_configured:
	cd $(gtkmm_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gtkmm))
SOFTWARE+=gtkmm
endif


# vim:set noexpandtab filetype=make: 
