# Copyright (C) 2007-2010 Timesys Corporation
# libgphoto2 rules

# Define common macros for libgphoto2 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libgphoto2))


ifeq (y,$(strip $(TSWO_SOFTWARE_libusb)))
libgphoto2-patch: libusb-host-install
else
libgphoto2_CONFIGURE_OPTIONS+=--without-libusb
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libgphoto2))
SOFTWARE+=libgphoto2
endif


# vim:set noexpandtab filetype=make: 
