# Copyright (C) 2007-2010 Timesys Corporation
# xfd rules

# Define common macros for xfd from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfd))

$(BUILD_DIR)/xfd-$(xfd_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/xfd-$(xfd_VERSION)/.stamp_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/xfd-$(xfd_VERSION)/.stamp_packaged: DESTDIR=$(xfd_PKG_INSTALL_DIR)
$(BUILD_DIR)/xfd-$(xfd_VERSION)/.stamp_rfs_installed $(BUILD_DIR)/xfd-$(xfd_VERSION)/.stamp_packaged:
	cd $(xfd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(FAKEROOT_CMD) $(MAKE) install DESTDIR=$(DESTDIR) $(xfd_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfd))
SOFTWARE+=xfd
endif


# vim:set noexpandtab filetype=make: 
