# Copyright (C) 2007-2010 Timesys Corporation
# aacplus-decode rules

# Define common macros for aacplus-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,aacplus-decode))


$(BUILD_DIR)/aacplus-decode-$(aacplus-decode_VERSION)/.stamp_pre_configured:
	cd $(aacplus-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_aacplus-decode))
SOFTWARE+=aacplus-decode
endif


# vim:set noexpandtab filetype=make: 
