# Copyright (C) 2007-2010 Timesys Corporation
# asf-demuxer rules

# Define common macros for asf-demuxer from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,asf-demuxer))


$(BUILD_DIR)/asf-demuxer-$(asf-demuxer_VERSION)/.stamp_pre_configured:
	cd $(asf-demuxer_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_asf-demuxer))
SOFTWARE+=asf-demuxer
endif


# vim:set noexpandtab filetype=make: 
