# Copyright (C) 2007-2010 Timesys Corporation
# flac rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,flac))

# AltiVec and E500 instructions cannot coexist
ifeq (y,$(strip $(TSWO_powerpc_e500)))
flac_CONFIGURE_OPTIONS+=--disable-altivec

$(BUILD_DIR)/flac-$(flac_VERSION)/.stamp_pre_built:
	-cd $(flac_DDIR) && \
		$(SED) -i -re "s/-maltivec -mabi=altivec//" src/libFLAC/Makefile
	@touch $@

endif

$(BUILD_DIR)/flac-$(flac_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{flac,metaflac}
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_flac))
SOFTWARE+=flac
endif


# vim:set noexpandtab filetype=make: 
