# Copyright (C) 2007-2010 Timesys Corporation
# gst-plugins-good rules


$(eval $(call COMMON_SETUP,gst-plugins-good))

gst-plugins-good_OPTIONAL_DEPS=esound flac libjpeg libpng speex aalib
gst-plugins-good_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(gst-plugins-good_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
gst-plugins-good-patch: $(gst-plugins-good_OPTIONAL_DEPS_TARGETS)

ifneq (y,$(TSWO_SOFTWARE_esound))
gst-plugins-good_CONFIGURE_OPTIONS+=--disable-esd --disable-esdtest
endif
ifeq (y,$(TSWO_SOFTWARE_aalib))
gst-plugins-good_CONFIGURE_OPTIONS+=--with-aalib-prefix=$(TSWO_HOST_INSTALL_DIR)
else
gst-plugins-good_CONFIGURE_OPTIONS+=--disable-aalib
endif


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gst-plugins-good))
SOFTWARE+=gst-plugins-good
endif


# vim:set noexpandtab filetype=make: 
