# Copyright (C) 2007-2010 Timesys Corporation
# libcanberra rules

# Define common macros for libcanberra from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libcanberra))

ifeq (y,$(TSWO_SOFTWARE_pulseaudio))
libcanberra-patch: pulseaudio-host-install
else
libcanberra_CONFIGURE_OPTIONS+=--disable-pulse
endif

ifeq (y,$(TSWO_SOFTWARE_gstreamer))
libcanberra-patch: gstreamer-host-install
else
libcanberra_CONFIGURE_OPTIONS+=--disable-gstreamer
endif

$(BUILD_DIR)/libcanberra-$(libcanberra_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/canberra-gtk-play
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libcanberra))
SOFTWARE+=libcanberra
endif


# vim:set noexpandtab filetype=make: 
