# Copyright (C) 2007-2010 Timesys Corporation
# ccwmx51js-redpine-wifi rules

# Define common macros for ccwmx51js-redpine-wifi from include/common.mk
$(eval $(call COMMON_SETUP,ccwmx51js-redpine-wifi))

$(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_host_installed:
	@touch $@

$(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,installing init scripts for ccwmx51js-redpine-wifi)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/init.d
	-cp -f $(ccwmx51js-redpine-wifi_SRC_DL_DIR)/S15-redpine-wifi $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S15-redpine-wifi
	@touch $@

$(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_setup_initscripts: $(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_packaged
	$(call PRINT_INFO,setting up ccwmx51js-redpine-wifi init script)
	mkdir -p $(ccwmx51js-redpine-wifi_PKG_INSTALL_DIR)/etc/init.d
	-cp -f $(ccwmx51js-redpine-wifi_SRC_DL_DIR)/S15-redpine-wifi $(ccwmx51js-redpine-wifi_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(ccwmx51js-redpine-wifi_PKG_INSTALL_DIR)/etc/init.d/S15-redpine-wifi
	@touch $@

$(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/ccwmx51js-redpine-wifi-$(ccwmx51js-redpine-wifi_VERSION)/.stamp_setup_initscripts

ifeq (y,$(TSWO_SOFTWARE_ccwmx51js-redpine-wifi))
SOFTWARE+=ccwmx51js-redpine-wifi
endif

# vim:set noexpandtab filetype=make: 
