# Copyright (C) 2007-2010 Timesys Corporation
# haserl rules

# Define common macros for haserl from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,haserl))


ifeq (y,$(strip $(TSWO_SOFTWARE_lua)))
haserl-patch: lua-host-install
haserl_CONFIGURE_OPTIONS+=--enable-luashell --with-lua=$(TSWO_HOST_INSTALL_DIR)
endif
ifeq (y,$(strip $(TSWO_SOFTWARE_bash)))
haserl_CONFIGURE_OPTIONS+=--enable-bash-extensions --enable-subshell=/bin/bash
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_haserl))
SOFTWARE+=haserl
endif


# vim:set noexpandtab filetype=make: 
