# Copyright (C) 2007-2010 Timesys Corporation
# squid rules

# Define common macros for squid from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,squid))


$(BUILD_DIR)/squid-$(squid_VERSION)/.stamp_pre_built:
	cd $(squid_DDIR) && \
		$(MAKE) -C lib libmiscutil.a CC=cc CFLAGS= RANLIB=ranlib && \
		$(MAKE) -C src cf_gen CC=cc CFLAGS=
	cd $(squid_DDIR) && \
		cp -f src/cf_gen src/cf_gen_native
	cd $(squid_DDIR) && \
		$(MAKE) -C lib clean && \
		$(MAKE) -C src clean
	cd $(squid_DDIR) && \
		$(SED) -i -re 's/(\.\/cf_gen)/\1_native/' src/Makefile
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_squid))
SOFTWARE+=squid
endif


# vim:set noexpandtab filetype=make: 
