# Copyright (C) 2007-2010 Timesys Corporation
# telepathy-mission-control rules

# Define common macros for telepathy-mission-control from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,telepathy-mission-control))

ifeq (y,$(TSWO_SOFTWARE_gconf))
telepathy-mission-control-patch: gconf-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_gnome-keyring))
telepathy-mission-control-patch: gnome-keyring-host-install
endif

$(BUILD_DIR)/telepathy-mission-control-$(telepathy-mission-control_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{mc-wait-for-name,mc-account-convert,mc-tool}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_telepathy-mission-control))
SOFTWARE+=telepathy-mission-control
endif


# vim:set noexpandtab filetype=make: 
