# Copyright (C) 2007-2010 Timesys Corporation
# sreadahead rules

# Define common macros for sreadahead from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,sreadahead))


$(BUILD_DIR)/sreadahead-$(sreadahead_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/sreadahead-$(sreadahead_VERSION)/.stamp_built:
	$(call PRINT_INFO,building sreadahead $(sreadahead_VERSION))
	cd $(sreadahead_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_BUILD_OPTIONS) \
        $(sreadahead_BUILD_OPTIONS) \
		$(sreadahead_MAKE_CMD) \
		$(TARGET_ALIASES)
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_sreadahead))
SOFTWARE+=sreadahead
endif


# vim:set noexpandtab filetype=make: 
