# Copyright (C) 2007-2010 Timesys Corporation
# ORBit rules


$(eval $(call COMMON_SETUP,ORBit))

ifeq (y,$(TSWO_arm))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_armeb))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_i386))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=1 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_x86_64))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=8 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=8 ac_cv_alignof_CORBA_long_long=8 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=8 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=1 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_powerpc))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=1 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_sh))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_xtensa))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_nios2))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=no ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_sparc))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif

ifeq (y,$(TSWO_mips))
ifeq (y,$(TSWO_BIG_ENDIAN))
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
else
ORBit_CONFIGURE_OPTIONS+=ac_cv_c_bigendian=yes ac_cv_alignof_CORBA_boolean=1 ac_cv_alignof_CORBA_char=1 ac_cv_alignof_CORBA_double=4 ac_cv_alignof_CORBA_float=4 ac_cv_alignof_CORBA_long=4 ac_cv_alignof_CORBA_long_double=4 ac_cv_alignof_CORBA_long_long=4 ac_cv_alignof_CORBA_octet=1 ac_cv_alignof_CORBA_pointer=4 ac_cv_alignof_CORBA_short=2 ac_cv_alignof_CORBA_struct=4 ac_cv_alignof_CORBA_wchar=2
endif
endif

#$(BUILD_DIR)/fake/bin/orbit-idl-2: $(BUILD_DIR)/ORBit-$(ORBit_VERSION)/.stamp_unpacked
#$(BUILD_DIR)/ORBit-$(ORBit_VERSION)/.stamp_pre_configured: libIDL-fake-host-install
$(BUILD_DIR)/ORBit-$(ORBit_VERSION)/.stamp_pre_configured:
	$(call PRINT_INFO,building orbit-idl-2 for host)
	-@cd $(ORBit_DDIR) && \
		$(MAKE) distclean
	@cd $(ORBit_DDIR) && \
		./configure --prefix=$(BUILD_DIR)/fake \
			PKG_CONFIG_PATH=$(BUILD_DIR)/fake/lib/pkgconfig
	@cd $(ORBit_DDIR) && \
 		$(MAKE) -C src/idl-compiler orbit-idl-2
	@cd $(ORBit_DDIR) && \
		$(MAKE) -C src/idl-compiler install
	-@cd $(ORBit_DDIR) && \
		$(MAKE) distclean
	@cd $(ORBit_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

ORBit-patch: libIDL-fake-host-install
#ORBit-configure: libIDL-fake-host-install $(BUILD_DIR)/fake/bin/orbit-idl-2

$(BUILD_DIR)/ORBit-$(ORBit_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{orbit-idl-2,ior-decode-2,linc-cleanup-sockets,typelib-dump}
	@$(SED) -i -re "s,orbit_idl=.*,orbit_idl=$(BUILD_DIR)/fake/bin/orbit-idl-2," $(TSWO_HOST_INSTALL_DIR)/lib/pkgconfig/ORBit*
	@touch $@



# add to software list
ifeq (y,$(TSWO_SOFTWARE_ORBit))
SOFTWARE+=ORBit
endif


# vim:set noexpandtab filetype=make: 
