# Copyright (C) 2007-2010 Timesys Corporation
# gjs rules

# Define common macros for gjs from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gjs))

$(BUILD_DIR)/gjs-$(gjs_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{gjs,gjs-console}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gjs))
SOFTWARE+=gjs
endif


# vim:set noexpandtab filetype=make: 
