# Copyright (C) 2007-2010 Timesys Corporation
# inotify-tools rules

# Define common macros for inotify-tools from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,inotify-tools))


$(BUILD_DIR)/inotify-tools-$(inotify-tools_VERSION)/.stamp_pre_configured:
	cd $(inotify-tools_DDIR) && \
		autoreconf -i
	@touch $@

$(BUILD_DIR)/inotify-tools-$(inotify-tools_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/{inotifywait,inotifywatch}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_inotify-tools))
SOFTWARE+=inotify-tools
endif


# vim:set noexpandtab filetype=make: 
