# Copyright (C) 2007-2010 Timesys Corporation
# libidn rules

# Define common macros for libidn from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libidn))


$(BUILD_DIR)/libidn-$(libidn_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/idn
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libidn))
SOFTWARE+=libidn
endif


# vim:set noexpandtab filetype=make: 
