# Copyright (C) 2007-2010 Timesys Corporation
# monit rules

# Define common macros for monit from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,monit))

ifeq (y,$(TSWO_SOFTWARE_openssl))
monit-patch: openssl-host-install
monit_CONFIGURE_OPTIONS+=--with-ssl-incl-dir=$(TSWO_HOST_INSTALL_DIR)/include --with-ssl-lib-dir=$(TSWO_HOST_INSTALL_DIR)/lib
else
monit_CONFIGURE_OPTIONS+=--without-ssl
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_monit))
SOFTWARE+=monit
endif


# vim:set noexpandtab filetype=make: 
