# Copyright (C) 2007-2010 Timesys Corporation
# openct rules

# Define common macros for openct from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,openct))


$(BUILD_DIR)/openct-$(openct_VERSION)/.stamp_post_host_installed:
	rm -f $(TSWO_HOST_INSTALL_DIR)/usr/{bin/openct-tool,sbin/{ifdproxy,openct-control,ifdhandler}}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_openct))
SOFTWARE+=openct
endif


# vim:set noexpandtab filetype=make: 
