# Copyright (C) 2007-2010 Timesys Corporation
# patchelf rules

# Define common macros for patchelf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,patchelf))

$(BUILD_DIR)/patchelf-$(patchelf_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_patchelf))
SOFTWARE+=patchelf
endif


# vim:set noexpandtab filetype=make: 
