# Copyright (C) 2007-2010 Timesys Corporation
# pygobject rules

# Define common macros for pygobject from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,pygobject))

pygobject_CONFIGURE_OPTIONS+=am_cv_python_platform=linux2 am_cv_python_pyexecdir=/usr/lib/python$(python_SHORT_VERSION)/site-packages am_cv_python_pythondir=/usr/lib/python$(python_SHORT_VERSION)/site-packages

$(BUILD_DIR)/pygobject-$(pygobject_VERSION)/.stamp_pre_built:
	cd $(pygobject_DDIR) && \
		$(MAKE) -C  gobject generate-constants CC=cc CFLAGS=
	@touch $@

$(BUILD_DIR)/pygobject-$(pygobject_VERSION)/.stamp_built:
	$(call PRINT_INFO,building pygobject $(pygobject_VERSION))
	cd $(pygobject_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(pygobject_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(pygobject_BUILD_OPTIONS)
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_pygobject))
SOFTWARE+=pygobject
endif


# vim:set noexpandtab filetype=make: 
