#!/bin/sh
# Copyright (C) 2007-2009 Timesys Corporation

# this transforms the following:
#--- Config.in  2008-03-07 15:09:24.000000000 -0500
#+++ Config.in.new      2008-03-07 15:09:04.000000000 -0500
#@@ -1,13 +1,11 @@
# 
#-menuconfig TSWO_SOFTWARE_acpid
#+config TSWO_SOFTWARE_acpid
#     bool "acpid"
#     default n
#     help
#         Utilities for using ACPI power management.
# 
#-if TSWO_SOFTWARE_acpid
#-
#-comment "acpid Configuration"
#+menu "acpid Configuration"
# 
# config TSWO_acpid_VERSION
#     string "acpid Version"
#@@ -69,6 +67,6 @@
#     help
#         Build options passed to the environment when building acpid.
# 
#-endif
#+endmenu
# 
# # vim:set noexpandtab filetype=make:
for f in $( find . -name Config.in )
do
    sed -i -r -e "s/^menuconfig TSWO_SOFTWARE/config TSWO_SOFTWARE/" -e '/^if TSWO_SOFTWARE/,/^$/d' -e 's/^comment /menu /' -e 's/^endif/endmenu/' $f
done
