#!/bin/sh
# Copyright (C) 2007-2009 Timesys Corporation
set -e

for config_in in */*/Config.in
do
    cp $config_in $config_in.new
    app=`grep '^config TSWO_SOFTWARE_' $config_in | awk '{print $2}' | sed -re "s/TSWO_SOFTWARE_//"`
    echo > $$
    sed -n "/^menu \"/,/^endmenu/p" $config_in | sed -r -e '/\Whelp/,/^$/d' -e '/^$/d' -e '/^endmenu/d' -e '/^menu/d' -e 's/(string|bool|int) .*/\1/g' >> $$
    sed -i -r \
        -e "s/config TSWO_SOFTWARE_/menuconfig TSWO_SOFTWARE_/" \
        -e "s/^menu /if TSWO_SOFTWARE_${app}\n\nmenu /" \
        -e "s/menu \"/comment \"/" \
        -e "s/endmenu/endif/" \
        -e '/default/d' \
    $config_in.new
    cat $config_in.new >> $$
    mv $$ $config_in.new
    cat $config_in.new > $config_in
    rm $config_in.new
done
