# Copyright (C) 2007-2010 Timesys Corporation
# gpe-announce rules


$(eval $(call COMMON_SETUP,gpe-announce))


$(BUILD_DIR)/gpe-announce-$(gpe-announce_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-announce-$(gpe-announce_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-announce $(gpe-announce_VERSION))
	cd $(gpe-announce_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-announce_MAKE_CMD) \
        $(gpe-announce_BUILD_OPTIONS)
	@touch $@


$(BUILD_DIR)/gpe-announce-$(gpe-announce_VERSION)/.stamp_rfs_installed:
	$(call PRINT_INFO,installing gpe-announce $(gpe-announce_VERSION) to the RFS)
	@mkdir -p $(TSWO_RFS_INSTALL_DIR)
	cd $(gpe-announce_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-announce_MAKE_CMD) DESTDIR=$(TSWO_RFS_INSTALL_DIR) install \
        $(gpe-announce_BUILD_OPTIONS)
	@touch $@

$(BUILD_DIR)/gpe-announce-$(gpe-announce_VERSION)/.stamp_packaged:
	cd $(gpe-announce_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
			$(FAKEROOT_CMD) $(gpe-announce_MAKE_CMD) DESTDIR=$(gpe-announce_PKG_INSTALL_DIR) install \
        $(gpe-announce_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-announce))
SOFTWARE+=gpe-announce
endif


# vim:set noexpandtab filetype=make: 
