# Copyright (C) 2007-2010 Timesys Corporation
# gpe-plucker rules


$(eval $(call COMMON_SETUP,gpe-plucker))

$(BUILD_DIR)/gpe-plucker-$(gpe-plucker_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/gpe-plucker-$(gpe-plucker_VERSION)/.stamp_built:
	$(call PRINT_INFO,building gpe-plucker $(gpe-plucker_VERSION))
	cd $(gpe-plucker_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(gpe-plucker_MAKE_CMD) \
        $(gpe-plucker_BUILD_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_gpe-plucker))
SOFTWARE+=gpe-plucker
endif


# vim:set noexpandtab filetype=make: 
