# Copyright (C) 2007-2010 Timesys Corporation
# matchbox-common rules

$(eval $(call COMMON_SETUP,matchbox-common))


$(BUILD_DIR)/matchbox-common-$(matchbox-common_VERSION)/.stamp_post_rfs_installed:
	$(call PRINT_INFO,performing post install steps for matchbox-common)
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(matchbox-common_SRC_DL_DIR)/99matchbox $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/99matchbox
	@touch $(@);

$(BUILD_DIR)/matchbox-common-$(matchbox-common_VERSION)/.stamp_setup_xsession: $(BUILD_DIR)/matchbox-common-$(matchbox-common_VERSION)/.stamp_packaged
	mkdir -p $(matchbox-common_PKG_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(matchbox-common_SRC_DL_DIR)/99matchbox $(matchbox-common_PKG_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(matchbox-common_PKG_INSTALL_DIR)/etc/X11/Xsession.d/99matchbox
	@touch $(@);
$(BUILD_DIR)/matchbox-common-$(matchbox-common_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/matchbox-common-$(matchbox-common_VERSION)/.stamp_setup_xsession


# add to software list
ifeq (y,$(TSWO_SOFTWARE_matchbox-common))
SOFTWARE+=matchbox-common
endif

# vim:set noexpandtab filetype=make: 
