# Copyright (C) 2007-2010 Timesys Corporation
# mce-dummy rules

# Define common macros for mce-dummy from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mce-dummy))


$(BUILD_DIR)/mce-dummy-$(mce-dummy_VERSION)/.stamp_configured:
	@touch $@

# doc target requires doxygen
$(BUILD_DIR)/mce-dummy-$(mce-dummy_VERSION)/.stamp_built:
	cd $(mce-dummy_DDIR) && \
		sed -i -re 's/install: doc/install:/' Makefile
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mce-dummy))
SOFTWARE+=mce-dummy
endif


# vim:set noexpandtab filetype=make: 
