# Copyright (C) 2007-2010 Timesys Corporation
# xfconf rules

# Define common macros for xfconf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfconf))

$(BUILD_DIR)/xfconf-$(xfconf_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/xfconf-query
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfconf))
SOFTWARE+=xfconf
endif


# vim:set noexpandtab filetype=make: 
