# Copyright (C) 2007-2010 Timesys Corporation
# xfprint rules

# Define common macros for xfprint from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xfprint))

ifeq (y,$(TSWO_SOFTWARE_cups))
xfprint-patch: cups
xfprint_CONFIGURE_OPTIONS+=--enable-cups
else
xfprint_CONFIGURE_OPTIONS+=--disable-cups
endif

$(BUILD_DIR)/xfprint-$(xfprint_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{xfprint-settings,xfprint4,xfprint4-manager}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xfprint))
SOFTWARE+=xfprint
endif


# vim:set noexpandtab filetype=make: 
