# Copyright (C) 2007-2010 Timesys Corporation
# zenity rules

# Define common macros for zenity from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,zenity))

zenity_OPTIONAL_DEPS=libnotify
zenity_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(zenity_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
zenity-patch: $(zenity_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/zenity-$(zenity_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_zenity))
SOFTWARE+=zenity
endif


# vim:set noexpandtab filetype=make: 
