# Copyright (C) 2007-2010 Timesys Corporation
# crashme rules

# Define common macros for crashme from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,crashme))

$(BUILD_DIR)/crashme-$(crashme_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/crashme-$(crashme_VERSION)/.stamp_built:
	$(call PRINT_INFO,building crashme $(crashme_VERSION))
	cd $(crashme_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(crashme_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(crashme_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_crashme))
SOFTWARE+=crashme
endif


# vim:set noexpandtab filetype=make: 
