# Copyright (C) 2007-2010 Timesys Corporation
# DirectFB rules

# Define common macros for DirectFB from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,DirectFB))

ifeq (y,$(TSWO_SOFTWARE_tslib))
DirectFB-patch: tslib-host-install
endif

$(BUILD_DIR)/DirectFB-$(DirectFB_VERSION)/.stamp_pre_configured:
	cd $(DirectFB_DDIR) && \
		find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_DirectFB))
SOFTWARE+=DirectFB
endif


# vim:set noexpandtab filetype=make: 
