# Copyright (C) 2007-2010 Timesys Corporation
# libgtkstylus rules


$(eval $(call COMMON_SETUP,libgtkstylus))

$(BUILD_DIR)/libgtkstylus-$(libgtkstylus_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(libgtkstylus_SRC_DL_DIR)/02gtkstylus $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/X11/Xsession.d/02gtkstylus
	@touch $(@);

$(BUILD_DIR)/libgtkstylus-$(libgtkstylus_VERSION)/.stamp_setup_xinit: $(BUILD_DIR)/libgtkstylus-$(libgtkstylus_VERSION)/.stamp_packaged
	mkdir -p $(libgtkstylus_PKG_INSTALL_DIR)/etc/X11/Xsession.d
	-cp -f $(libgtkstylus_SRC_DL_DIR)/02gtkstylus $(libgtkstylus_PKG_INSTALL_DIR)/etc/X11/Xsession.d/
	-chmod +x $(libgtkstylus_PKG_INSTALL_DIR)/etc/X11/Xsession.d/02gtkstylus
	@touch $(@);
$(BUILD_DIR)/libgtkstylus-$(libgtkstylus_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/libgtkstylus-$(libgtkstylus_VERSION)/.stamp_setup_xinit

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libgtkstylus))
SOFTWARE+=libgtkstylus
endif


# vim:set noexpandtab filetype=make: 
