# Copyright (C) 2007-2010 Timesys Corporation
# libiptcdata rules

# Define common macros for libiptcdata from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libiptcdata))

$(BUILD_DIR)/libiptcdata-$(libiptcdata_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/iptc
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libiptcdata))
SOFTWARE+=libiptcdata
endif


# vim:set noexpandtab filetype=make: 
