# Copyright (C) 2007-2010 Timesys Corporation
# ncurses rules

# Define common macros for this package from include/common.mk
$(eval $(call COMMON_SETUP,ncurses))

# build a native copy of the tic utility so that we have a 
# known working version
$(BUILD_DIR)/ncurses-$(ncurses_VERSION)/.stamp_pre_configured:
	cd $(ncurses_DDIR) && \
		./configure && make && cp -rf progs progs.native && make distclean
	touch $@

$(BUILD_DIR)/ncurses-$(ncurses_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{clear,infocmp,tic,toe,tput,tset,tack,captoinfo,infotocap,reset}
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_ncurses))
SOFTWARE+=ncurses
endif


# vim:set noexpandtab: 
