# Copyright (C) 2007-2010 Timesys Corporation
# pycairo rules

# Define common macros for pycairo from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,pycairo))

pycairo_CONFIGURE_OPTIONS+=am_cv_python_platform=linux2 am_cv_python_pyexecdir=/usr/lib/python$(python_SHORT_VERSION)/site-packages am_cv_python_pythondir=/usr/lib/python$(python_SHORT_VERSION)/site-packages

$(BUILD_DIR)/pycairo-$(pycairo_VERSION)/.stamp_built:
	$(call PRINT_INFO,building pycairo $(pycairo_VERSION))
	cd $(pycairo_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(pycairo_MAKE_CMD) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(pycairo_BUILD_OPTIONS)
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_pycairo))
SOFTWARE+=pycairo
endif


# vim:set noexpandtab filetype=make: 
