# Copyright (C) 2007-2010 Timesys Corporation
# xhost rules

# Define common macros for xhost from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,xhost))

$(BUILD_DIR)/xhost-$(xhost_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_xhost))
SOFTWARE+=xhost
endif


# vim:set noexpandtab filetype=make: 
