# Copyright (C) 2007-2010 Timesys Corporation
# gst-plugins-farsight rules

# Define common macros for gst-plugins-farsight from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,gst-plugins-farsight))

ifeq (y,$(TSWO_SOFTWARE_jasper))
gst-plugins-farsight-patch: jasper-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_gsm))
gst-plugins-farsight-patch: gsm-host-install
endif
ifeq (y,$(TSWO_SOFTWARE_gconf))
gst-plugins-farsight-patch: gconf-host-install
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_gst-plugins-farsight))
SOFTWARE+=gst-plugins-farsight
endif


# vim:set noexpandtab filetype=make: 
