# Copyright (C) 2007-2010 Timesys Corporation
# libmp4v2 rules

# Define common macros for libmp4v2 from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libmp4v2))

$(BUILD_DIR)/libmp4v2-$(libmp4v2_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{mp4trackdump,mp4info,mp4art,mp4extract,mp4tags,mp4dump}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libmp4v2))
SOFTWARE+=libmp4v2
endif


# vim:set noexpandtab filetype=make: 
