# Copyright (C) 2007-2010 Timesys Corporation
# libxspf rules

# Define common macros for libxspf from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libxspf))


$(BUILD_DIR)/libxspf-$(libxspf_VERSION)/.stamp_pre_configured:
	cd $(libxspf_DDIR) && \
		$(SED) -i -re '/\-[LI]+\$$\{WORKING_PREFIX\}\//d' configure
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libxspf))
SOFTWARE+=libxspf
endif


# vim:set noexpandtab filetype=make: 
