# Copyright (C) 2007-2010 Timesys Corporation
# mpeg2-decode rules

# Define common macros for mpeg2-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mpeg2-decode))


$(BUILD_DIR)/mpeg2-decode-$(mpeg2-decode_VERSION)/.stamp_pre_configured:
	cd $(mpeg2-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mpeg2-decode))
SOFTWARE+=mpeg2-decode
endif


# vim:set noexpandtab filetype=make: 
