# Copyright (C) 2007-2010 Timesys Corporation
# mpeg4-decode rules

# Define common macros for mpeg4-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,mpeg4-decode))


$(BUILD_DIR)/mpeg4-decode-$(mpeg4-decode_VERSION)/.stamp_pre_configured:
	cd $(mpeg4-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_mpeg4-decode))
SOFTWARE+=mpeg4-decode
endif


# vim:set noexpandtab filetype=make: 
