# Copyright (C) 2007-2010 Timesys Corporation
# mpg123 rules

$(eval $(call COMMON_SETUP,mpg123))

MPG123_AUDIO_LIST=dummy
ifeq (y,$(TSWO_SOFTWARE_alsa-lib))
mpg123-patch: alsa-lib-host-install
MPG123_AUDIO_LIST+=,alsa
endif
ifeq (y,$(TSWO_SOFTWARE_esound))
mpg123-patch: esound-host-install
MPG123_AUDIO_LIST+=,esound
endif
mpg123_CONFIGURE_OPTIONS+=--with-audio=$(MPG123_AUDIO_LIST)

$(BUILD_DIR)/mpg123-$(mpg123_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/*mpg123
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_mpg123))
SOFTWARE+=mpg123
endif


# vim:set noexpandtab filetype=make: 
