# Copyright (C) 2007-2010 Timesys Corporation
# schroedinger rules

# Define common macros for schroedinger from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,schroedinger))

$(BUILD_DIR)/schroedinger-$(schroedinger_VERSION)/.stamp_built:
	$(call PRINT_INFO,building schroedinger $(schroedinger_VERSION))
	cd $(schroedinger_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
		$(schroedinger_MAKE_CMD) \
        $(schroedinger_BUILD_OPTIONS)
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_schroedinger))
SOFTWARE+=schroedinger
endif


# vim:set noexpandtab filetype=make: 
