# Copyright (C) 2007-2010 Timesys Corporation
# sdl rules

$(eval $(call COMMON_SETUP,sdl))


ifneq (y,$(strip $(TSWO_SOFTWARE_esound)))
sdl_CONFIGURE_OPTIONS+=--disable-esd
else
sdl-unpack: esound-host-install
endif

ifneq (y,$(strip $(TSWO_SOFTWARE_directfb)))
sdl_CONFIGURE_OPTIONS+=--enable-video-directfb=no
else
sdl-unpack: directfb-host-install
endif

ifeq (y,$(strip $(TSWO_SOFTWARE_tslib)))
sdl-unpack: tslib-host-install
endif

# add to software list
ifeq (y,$(TSWO_SOFTWARE_sdl))
SOFTWARE+=sdl
endif


# vim:set noexpandtab filetype=make: 
