# Copyright (C) 2007-2010 Timesys Corporation
# v4l-sink rules

# Define common macros for v4l-sink from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,v4l-sink))


$(BUILD_DIR)/v4l-sink-$(v4l-sink_VERSION)/.stamp_pre_configured:
	cd $(v4l-sink_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_v4l-sink))
SOFTWARE+=v4l-sink
endif


# vim:set noexpandtab filetype=make: 
