# Copyright (C) 2007-2010 Timesys Corporation
# v4l-source rules

# Define common macros for v4l-source from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,v4l-source))


$(BUILD_DIR)/v4l-source-$(v4l-source_VERSION)/.stamp_pre_configured:
	cd $(v4l-source_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_v4l-source))
SOFTWARE+=v4l-source
endif


# vim:set noexpandtab filetype=make: 
