# Copyright (C) 2007-2010 Timesys Corporation
# wma10-decode rules

# Define common macros for wma10-decode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,wma10-decode))


$(BUILD_DIR)/wma10-decode-$(wma10-decode_VERSION)/.stamp_pre_configured:
	cd $(wma10-decode_DDIR) && \
		./autogen.sh
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_wma10-decode))
SOFTWARE+=wma10-decode
endif


# vim:set noexpandtab filetype=make: 
