# Copyright (C) 2007-2010 Timesys Corporation
# ca-certificates rules

# Define common macros for ca-certificates from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,ca-certificates))


$(BUILD_DIR)/ca-certificates-$(ca-certificates_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/ca-certificates-$(ca-certificates_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_ca-certificates))
SOFTWARE+=ca-certificates
endif


# vim:set noexpandtab filetype=make: 
