# Copyright (C) 2007-2010 Timesys Corporation
# dhcp rules

# Define common macros for this dhcp from include/common.mk
$(eval $(call COMMON_SETUP,dhcp))

$(BUILD_DIR)/dhcp-$(dhcp_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring dhcp $(dhcp_VERSION))
	@cd $(dhcp_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		./configure
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_dhcp))
SOFTWARE+=dhcp
endif


# vim:set noexpandtab: 
