# Copyright (C) 2007-2010 Timesys Corporation
# hfp rules

# Define common macros for hfp from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hfp))

$(BUILD_DIR)/hfp-$(hfp_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{hfpd,hfpconsole}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_hfp))
SOFTWARE+=hfp
endif


# vim:set noexpandtab filetype=make: 
