# Copyright (C) 2007-2010 Timesys Corporation
# inetutils rules

# Define common macros for this inetutils from include/common.mk
$(eval $(call COMMON_SETUP,inetutils))

$(BUILD_DIR)/inetutils-$(inetutils_VERSION)/.stamp_post_rfs_installed:
	mv -f $(TSWO_RFS_INSTALL_DIR)/usr/bin/ifconfig $(TSWO_RFS_INSTALL_DIR)/usr/bin/inetutils-ifconfig
	@touch $@
$(BUILD_DIR)/inetutils-$(inetutils_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/inetutils-$(inetutils_VERSION)/.stamp_rename_ifconfig
$(BUILD_DIR)/inetutils-$(inetutils_VERSION)/.stamp_rename_ifconfig:
	mv -f $(inetutils_PKG_INSTALL_DIR)/usr/bin/ifconfig $(inetutils_PKG_INSTALL_DIR)/usr/bin/inetutils-ifconfig
	@touch $@

$(BUILD_DIR)/inetutils-$(inetutils_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_inetutils))
SOFTWARE+=inetutils
endif


# vim:set noexpandtab: 
