# Copyright (C) 2007-2010 Timesys Corporation
# libical rules

# Define common macros for libical from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libical))

ifeq (y,$(TSWO_gcc_BUILD_CXX))
libical_CONFIGURE_OPTIONS+=--enable-cxx
endif
ifeq (y,$(TSWO_SOFTWARE_db))
libical-patch: db-host-install
endif


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libical))
SOFTWARE+=libical
endif


# vim:set noexpandtab filetype=make: 
