# Copyright (C) 2007-2010 Timesys Corporation
# librsync rules

# Define common macros for librsync from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,librsync))

$(BUILD_DIR)/librsync-$(librsync_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/rdiff
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_librsync))
SOFTWARE+=librsync
endif


# vim:set noexpandtab filetype=make: 
