# Copyright (C) 2007-2010 Timesys Corporation
# memcached rules

# Define common macros for memcached from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,memcached))

ifeq (y,$(strip $(call UNQUOTE_VARIABLE,$(TSWO_BIG_ENDIAN))))
memcached_CONFIGURE_OPTIONS+=ac_cv_c_endian=big
else
memcached_CONFIGURE_OPTIONS+=ac_cv_c_endian=little
endif

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_memcached))
SOFTWARE+=memcached
endif


# vim:set noexpandtab filetype=make: 
