# Copyright (C) 2007-2010 Timesys Corporation
# netkit-tftp rules

# Define common macros for this netkit-tftp from include/common.mk
$(eval $(call COMMON_SETUP,netkit-tftp))


$(BUILD_DIR)/netkit-tftp-$(netkit-tftp_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring netkit-tftp $(netkit-tftp_VERSION))
	$(call CONFIG_UPDATE,$(netkit-tftp_DDIR))
	@cd $(netkit-tftp_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(netkit-tftp_BUILD_OPTIONS) \
		./configure \
        	--prefix=/usr \
			--with-c-compiler=$(TSWO_FULL_TARGET_NAME)-gcc \
        	$(netkit-tftp_CONFIGURE_OPTIONS)
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_netkit-tftp))
SOFTWARE+=netkit-tftp
endif


# vim:set noexpandtab: 
