# Copyright (C) 2007-2010 Timesys Corporation
# openntpd rules

# Define common macros for this openntpd from include/common.mk
$(eval $(call COMMON_SETUP,openntpd))

$(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_files_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_files_packaged: DESTDIR=$(openntpd_PKG_INSTALL_DIR)
$(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_files_rfs_installed
$(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_files_packaged

$(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_files_rfs_installed $(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_files_packaged:
	mkdir -p $(DESTDIR)/{etc/{init.d,openntpd},var/run/openntpd}
	-cp -f $(openntpd_SRC_DL_DIR)/S[0-9]* $(DESTDIR)/etc/init.d/
	-chmod +x $(DESTDIR)/etc/init.d/*
	@touch $@

$(BUILD_DIR)/openntpd-$(openntpd_VERSION)/.stamp_host_installed:
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_openntpd))
SOFTWARE+=openntpd
endif


# vim:set noexpandtab: 
