# Copyright (C) 2007-2010 Timesys Corporation
# telepathy-gabble rules

# Define common macros for telepathy-gabble from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,telepathy-gabble))

telepathy-gabble_OPTIONAL_DEPS=util-linux e2fsprogs
telepathy-gabble_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(telepathy-gabble_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
telepathy-gabble-patch: $(telepathy-gabble_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/telepathy-gabble-$(telepathy-gabble_VERSION)/.stamp_pre_built:
	cp -f $(telepathy-gabble_SRC_DL_DIR)/gabble.manager $(telepathy-gabble_DDIR)/data/
	@touch $@

$(BUILD_DIR)/telepathy-gabble-$(telepathy-gabble_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_telepathy-gabble))
SOFTWARE+=telepathy-gabble
endif


# vim:set noexpandtab filetype=make: 
