# Copyright (C) 2007-2010 Timesys Corporation
# xinetd rules

# Define common macros for this xinetd from include/common.mk
$(eval $(call COMMON_SETUP,xinetd))

$(BUILD_DIR)/xinetd-$(xinetd_VERSION)/.stamp_post_rfs_installed:
	mkdir -p $(TSWO_RFS_INSTALL_DIR)/etc/{init.d,xinetd.d}
	-cp -f $(xinetd_SRC_DL_DIR)/S65-xinetd $(TSWO_RFS_INSTALL_DIR)/etc/init.d/
	-chmod +x $(TSWO_RFS_INSTALL_DIR)/etc/init.d/S65-xinetd
	@touch $@

$(BUILD_DIR)/xinetd-$(xinetd_VERSION)/.stamp_packaged:
	cd $(xinetd_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
        $(xinetd_BUILD_OPTIONS) \
		$(FAKEROOT_CMD) $(xinetd_MAKE_CMD) DESTDIR=$(xinetd_PKG_INSTALL_DIR) install
	mkdir -p $(xinetd_PKG_INSTALL_DIR)/etc/{init.d,xinetd.d}
	-cp -f $(xinetd_SRC_DL_DIR)/S65-xinetd $(xinetd_PKG_INSTALL_DIR)/etc/init.d/
	-chmod +x $(xinetd_PKG_INSTALL_DIR)/etc/init.d/S65-xinetd
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_xinetd))
SOFTWARE+=xinetd
endif


# vim:set noexpandtab: 
