# Copyright (C) 2007-2010 Timesys Corporation
# cifs-utils rules

# Define common macros for cifs-utils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,cifs-utils))

cifs-utils_OPTIONAL_DEPS=libcap krb5
cifs-utils_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(cifs-utils_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
cifs-utils-patch: $(cifs-utils_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/cifs-utils-$(cifs-utils_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_cifs-utils))
SOFTWARE+=cifs-utils
endif


# vim:set noexpandtab filetype=make: 
