# Copyright (C) 2007-2010 Timesys Corporation
# fuse rules

# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,fuse))


ifneq (y,$(strip $(TSWO_KERNEL_EXTERNAL)))
fuse-configure: kernel-configure
else
ifeq (y,$(strip $(TSWO_KERNEL_EXTERNAL_USE_CONFIGURATION)))
fuse-configure: kernel-external-configure
endif
endif

$(BUILD_DIR)/fuse-$(fuse_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/sbin/mount.fuse
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{ulockmgr_server,fusermount}
	@touch $(@)

# add to software list
ifeq (y,$(TSWO_SOFTWARE_fuse))
SOFTWARE+=fuse
endif


# vim:set noexpandtab filetype=make: 
