# Copyright (C) 2007-2010 Timesys Corporation
# libsepol rules

# Define common macros for libsepol from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libsepol))


$(BUILD_DIR)/libsepol-$(libsepol_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/libsepol-$(libsepol_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/usr/bin/chkcon
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libsepol))
SOFTWARE+=libsepol
endif


# vim:set noexpandtab filetype=make: 
