# Copyright (C) 2007-2010 Timesys Corporation
# pcmciautils rules

# Define common macros for pcmciautils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,pcmciautils))


$(BUILD_DIR)/pcmciautils-$(pcmciautils_VERSION)/.stamp_configured:
	@touch $@

$(BUILD_DIR)/pcmciautils-$(pcmciautils_VERSION)/.stamp_built:
	$(call PRINT_INFO,building pcmciautils $(pcmciautils_VERSION))
	cd $(pcmciautils_DDIR) && \
		PATH=$(BUILD_PATH) \
		$(pcmciautils_MAKE_CMD) CROSS=$(TSWO_FULL_TARGET_NAME)-
	@touch $@

$(BUILD_DIR)/pcmciautils-$(pcmciautils_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_pcmciautils))
SOFTWARE+=pcmciautils
endif


# vim:set noexpandtab filetype=make: 
