# Copyright (C) 2007-2010 Timesys Corporation
# aspell rules

# Define common macros for aspell from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,aspell))

ifeq (y,$(TSWO_SOFTWARE_ncurses))
aspell-patch: ncurses-host-install
endif

$(BUILD_DIR)/aspell-$(aspell_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{preunzip,run-with-aspell,aspell,word-list-compress,pspell-config,prezip,prezip-bin,precat,aspell-import}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_aspell))
SOFTWARE+=aspell
endif


# vim:set noexpandtab filetype=make: 
