# Copyright (C) 2007-2010 Timesys Corporation
# ed rules

$(eval $(call COMMON_SETUP,ed))

$(BUILD_DIR)/ed-$(ed_VERSION)/.stamp_configured:
	$(call PRINT_INFO,configuring ed $(ed_VERSION))
	$(call CONFIG_UPDATE,$(ed_DDIR))
	cd $(ed_DDIR) && rm -rf config.cache 2>/dev/null && \
		PATH=$(BUILD_PATH) \
		$(TARGET_ALIASES) \
		$(TARGET_BUILD_OPTIONS) \
        $(ed_BUILD_OPTIONS) \
		./configure \
			--target=$(TSWO_FULL_TARGET_NAME) \
			--host=$(TSWO_FULL_TARGET_NAME) \
			--build=$(TSWO_BUILD_NAME) \
        	--prefix=/usr \
        	--exec-prefix=/usr \
			--bindir=/usr/bin \
			--sysconfdir=/etc \
			--datadir=/usr/share \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
        	$(ed_CONFIGURE_OPTIONS)
	@touch $@


ifeq (y,$(TSWO_SOFTWARE_ed))
SOFTWARE+=ed
endif


# vim:set noexpandtab filetype=make: 
