# Copyright (C) 2007-2010 Timesys Corporation
# hunspell rules

# Define common macros for hunspell from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,hunspell))

$(BUILD_DIR)/hunspell-$(hunspell_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{ispellaff2myspell,munch,hzip,chmorph,hunzip,analyze,makealias,wordforms,affixcompress,unmunch,hunspell,wordlist2hunspell}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_hunspell))
SOFTWARE+=hunspell
endif


# vim:set noexpandtab filetype=make: 
