# Copyright (C) 2007-2010 Timesys Corporation
# libaio rules


$(eval $(call COMMON_SETUP,libaio))


$(BUILD_DIR)/libaio-$(libaio_VERSION)/.stamp_configured:
	@touch $@


$(BUILD_DIR)/libaio-$(libaio_VERSION)/.stamp_post_host_installed:
	libaio_SOFILE=`ls $(TSWO_HOST_INSTALL_DIR)/usr/lib | awk '/libaio.so.[0-9]./ {print $$1}'` ; \
	ln -sf $${libaio_SOFILE} $(TSWO_HOST_INSTALL_DIR)/usr/lib/libaio.so ; \
	ln -sf $${libaio_SOFILE} $(TSWO_HOST_INSTALL_DIR)/usr/lib/libaio.so.1
	@touch $@

# add to software list
ifeq (y,$(TSWO_SOFTWARE_libaio))
SOFTWARE+=libaio
endif


# vim:set noexpandtab filetype=make: 
