# Copyright (C) 2007-2010 Timesys Corporation
# libisoburn rules

# Define common macros for libisoburn from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,libisoburn))

$(BUILD_DIR)/libisoburn-$(libisoburn_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{xorrisofs,osirrox,xorriso,xorrecord}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_libisoburn))
SOFTWARE+=libisoburn
endif


# vim:set noexpandtab filetype=make: 
