# Copyright (C) 2007-2010 Timesys Corporation
# lzma rules

# Define common macros for lzma from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,lzma))

$(BUILD_DIR)/lzma-$(lzma_VERSION)/.stamp_post_host_installed:
	@rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{lzcat,lzmadec,lzma,lzmore,lzless,lzfgrep,lzgrep,lzmainfo,lzcmp,lzegrep,unlzma,lzdiff}
	@touch $@

# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_lzma))
SOFTWARE+=lzma
endif


# vim:set noexpandtab filetype=make: 
