# Copyright (C) 2007-2010 Timesys Corporation
# pcre rules

# Define common macros for this pcre from include/common.mk
$(eval $(call COMMON_SETUP,pcre))

$(BUILD_DIR)/pcre-$(pcre_VERSION)/.stamp_pre_configured:
	@cd $(pcre_DDIR) && \
	find . -name ltmain.sh -exec $(SED) -i.orig -re '/add_dir="-L\$$libdir"/d' {} \;
	@touch $@

$(BUILD_DIR)/pcre-$(pcre_VERSION)/.stamp_post_host_installed:
	@rm -f $(TSWO_HOST_INSTALL_DIR)/bin/{pcregrep,pcretest}
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_pcre))
SOFTWARE+=pcre
endif


# vim:set noexpandtab: 
