# Copyright (C) 2007-2010 Timesys Corporation
# polkit rules

# Define common macros for polkit from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,polkit))

$(BUILD_DIR)/polkit-$(polkit_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/{pkaction,pkcheck,pkexec}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_polkit))
SOFTWARE+=polkit
endif


# vim:set noexpandtab filetype=make: 
