# Copyright (C) 2007-2010 Timesys Corporation
# screen rules

# Define common macros for screen from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,screen))

$(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_sysconfig_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_sysconfig_packaged: DESTDIR=$(screen_PKG_INSTALL_DIR)
$(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_sysconfig_rfs_installed
$(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_sysconfig_packaged

$(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_sysconfig_rfs_installed $(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_sysconfig_packaged:
	mkdir -p $(DESTDIR)/etc
	cd $(screen_DDIR) && \
		cp etc/etcscreenrc $(DESTDIR)/etc/screenrc
	@touch $@

$(BUILD_DIR)/screen-$(screen_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_screen))
SOFTWARE+=screen
endif


# screen:set noexpandtab filetype=make: 
