# Copyright (C) 2007-2010 Timesys Corporation
# sed rules

# Define common macros for this sed from include/common.mk
$(eval $(call COMMON_SETUP,sed))

$(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_symlink_rfs_installed: DESTDIR=$(TSWO_RFS_INSTALL_DIR)
$(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_symlink_packaged: DESTDIR=$(sed_PKG_INSTALL_DIR)
$(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_post_rfs_installed: $(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_symlink_rfs_installed
$(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_post_packaged: $(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_symlink_packaged
$(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_symlink_rfs_installed $(BUILD_DIR)/sed-$(sed_VERSION)/.stamp_symlink_packaged:
	mkdir -p $(DESTDIR)/bin
	if [ ! -e $(DESTDIR)/bin/sed ]; then ln -sf /usr/bin/sed $(DESTDIR)/bin/sed; fi
	@touch $@


# add to software list
ifeq (y,$(TSWO_SOFTWARE_sed))
SOFTWARE+=sed
endif


# vim:set noexpandtab: 
