# Copyright (C) 2007-2010 Timesys Corporation
# sg3_utils rules

# Define common macros for sg3_utils from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,sg3_utils))

$(BUILD_DIR)/sg3_utils-$(sg3_utils_VERSION)/.stamp_post_host_installed:
	rm -rf $(TSWO_HOST_INSTALL_DIR)/usr/bin/{sg_rdac,sginfo,sg_verify,sg_read,sg_emc_trespass,sg_write_buffer,sgm_dd,sg_test_rwbuf,sg_scan,sg_write_long,sg_start,sg_ses,sg_rbuf,sg_opcodes,sg_get_lba_status,sg_sat_identify,sg_map26,sg_persist,sg_map,sg_modes,sg_luns,sg_readcap,sg_logs,sg_safte,sg_sync,sg_read_long,sg_requests,sg_rmsn,sg_vpd,sg_format,sg_reset,sg_prevent,sgp_dd,sg_senddiag,sg_rtpg,sg_sat_phy_event,sg_ident,sg_sat_set_features,sg_get_config,sg_inq,sg_stpg,sg_read_buffer,sg_turs,sg_wr_mode,sg_write_same,sg_dd,sg_raw,sg_reassign,sg_read_block_limits,sg_unmap}
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_sg3_utils))
SOFTWARE+=sg3_utils
endif


# vim:set noexpandtab filetype=make: 
