# Copyright (C) 2007-2010 Timesys Corporation
# usermode rules

# Define common macros for usermode from include/common.mk
# This must come after declaring any variables.
$(eval $(call COMMON_SETUP,usermode))

usermode_OPTIONAL_DEPS=startup-notification
usermode_OPTIONAL_DEPS_TARGETS=$(foreach pkg,$(usermode_OPTIONAL_DEPS), $(if $(TSWO_SOFTWARE_$(pkg)),$(pkg)-host-install,))
usermode-patch: $(usermode_OPTIONAL_DEPS_TARGETS)

$(BUILD_DIR)/usermode-$(usermode_VERSION)/.stamp_host_installed:
	@touch $@


# add to software list of packages to be built, packaged,
# and installed to the rfs (depending on the configuration)
ifeq (y,$(TSWO_SOFTWARE_usermode))
SOFTWARE+=usermode
endif


# vim:set noexpandtab filetype=make: 
